Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.webservice
Class CatalogWSImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.webservice.CatalogWSImpl

All Implemented Interfaces
  Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Deprecated

    @Deprecated
    public class CatalogWSImpl

extends SessionImpl

See Also
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CatalogWSImpl()` Deprecated

Method Summary
`void` | `ejbActivate()` Deprecated ejbActivate method.
`void` | `ejbCreate()` Deprecated ejbCreate method.
`void` | `ejbPassivate()` Deprecated ejbPassivate method.
`void` | `ejbPostCreate()` Deprecated ejbPostCreate method.
`void` | `ejbRemove()` Deprecated ejbRemove method.
`String` | `expressionSearch(String expression)` Deprecated Returns product item information populated with category and ancestor information for a search expression for the first 100 results.
`String` | `expressionSearchRestricted(String expression, int numResults)` Deprecated Returns product item information populated with category and ancestor information for a search expression for the first `numResults` results.
`String` | `expressionSearchSKU(String expression)` Deprecated Returns product item information populated with category and ancestor information for a SKU search expression.
`String` | `expressionSearchSKURestricted(String expression, int numResults)` Deprecated Returns product item information populated with category and ancestor information for a SKU search expression for the first `numResults` results.
`String` | `getAllChildren(String categoryKey, boolean addAncestorInfo)` Deprecated Returns an XML document of the first 100 categories and 100 product items under a given category.
`String` | `getAllChildrenRestricted(String categoryKey, boolean addAncestorInfo, int numResults)` Deprecated Returns an XML document of all the categories and product items under a given category.
`String` | `getCategoryInfo(String productItemKey)` Deprecated Returns ancestor information for all the categories a product item resides in.
`String` | `getRootChildren()` Deprecated Returns an XML document of the first 100 categories and 100 product items under the root category.
`String` | `getRootChildrenRestricted(int numResults)` Deprecated Returns an XML document of all the categories and product items under the root category.
`String` | `keywordSearch(String keyword)` Deprecated Returns product item information populated with category and ancestor information for a set of keywords for the first 100 results.
`String` | `keywordSearchRestricted(String keywords, int numResults)` Deprecated Returns product item information populated with category and ancestor information for a set of keywords for the first `numResults` results.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Deprecated setSessionContext method.

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogWSImpl

    public CatalogWSImpl()

  Deprecated

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbCreate method.

  Overrides:
    `ejbCreate` in class `SessionImpl`
  Throws
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbPostCreate method.

  Overrides:
    `ejbPostCreate` in class `SessionImpl`
  Throws
    `javax.ejb.CreateException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbActivate` in class `SessionImpl`
  Throws
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbPassivate` in class `SessionImpl`
  Throws
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbRemove` in class `SessionImpl`
  Throws
    `javax.ejb.EJBException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `SessionImpl`
  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `SessionImpl`
  Throws
    `javax.ejb.EJBException`

### getRootChildren

    public String getRootChildren()
                           throws RemoteException

  Deprecated
  Returns an XML document of the first 100 categories and 100 product items under the root category.

  Returns
    XML Document of categories and product items under categoryKey.
  Throws
    `RemoteException`

### getRootChildrenRestricted

    public String getRootChildrenRestricted(int numResults)
                                     throws RemoteException

  Deprecated
  Returns an XML document of all the categories and product items under the root category. Restricts the number of results to the first `numResults` categories and product items .

  Parameters
    `numResults` - number of results to be returned.
  Returns
    XML Document of categories and product items under categoryKey.
  Throws
    `RemoteException`

### getAllChildren

    public String getAllChildren(String categoryKey,
                                 boolean addAncestorInfo)
                          throws RemoteException

  Deprecated
  Returns an XML document of the first 100 categories and 100 product items under a given category. The category is identified by a string category key.

  Parameters
    `categoryKey` - String representation of category key concerned.
    `addAncestorInfo` - if true adds ancestor info to the category children.
  Returns
    XML Document of categories and product items under categoryKey.
  Throws
    `RemoteException`

### getAllChildrenRestricted

    public String getAllChildrenRestricted(String categoryKey,
                                           boolean addAncestorInfo,
                                           int numResults)
                                    throws RemoteException

  Deprecated
  Returns an XML document of all the categories and product items under a given category. The category is identified by a string category key. This call restricts the number of results to a specified number of categories and product items.

  Parameters
    `categoryKey` - String representation of category key concerned.
    `addAncestorInfo` - if true adds ancestor info to the category children.
    `numResults` - number of results to be returned
  Returns
    XML Document of categories and product items under categoryKey.
  Throws
    `RemoteException`

### getCategoryInfo

    public String getCategoryInfo(String productItemKey)
                           throws RemoteException

  Deprecated
  Returns ancestor information for all the categories a product item resides in.

  Parameters
    `productItemKey` - String representation of product item key concerned.
  Returns
    XML Document of category information.
  Throws
    `RemoteException`

### keywordSearch

    public String keywordSearch(String keyword)
                         throws RemoteException

  Deprecated
  Returns product item information populated with category and ancestor information for a set of keywords for the first 100 results.

  Parameters
    `keyword` - Search keyword(s).
  Returns
    XML Document of all information.
  Throws
    `RemoteException`

### keywordSearchRestricted

    public String keywordSearchRestricted(String keywords,
                                          int numResults)
                                   throws RemoteException

  Deprecated
  Returns product item information populated with category and ancestor information for a set of keywords for the first `numResults` results.

  Parameters
    `keyword` - Search keyword(s).
    `numResults` - number of results to be returned.
  Returns
    XML Document of all information.
  Throws
    `RemoteException`

### expressionSearch

    public String expressionSearch(String expression)
                            throws RemoteException

  Deprecated
  Returns product item information populated with category and ancestor information for a search expression for the first 100 results.

  Parameters
    `expression` - Search expression.
  Returns
    XML string of all information.
  Throws
    `RemoteException`

### expressionSearchRestricted

    public String expressionSearchRestricted(String expression,
                                             int numResults)
                                      throws RemoteException

  Deprecated
  Returns product item information populated with category and ancestor information for a search expression for the first `numResults` results.

  Parameters
    `expression` - Search expression.
    `numResults` - number of results to be returned.
  Returns
    XML string of all information.
  Throws
    `RemoteException`

### expressionSearchSKU

    public String expressionSearchSKU(String expression)
                               throws RemoteException

  Deprecated
  Returns product item information populated with category and ancestor information for a SKU search expression.

  Parameters
    `expression` - SKU Search expression.
  Returns
    XML string of all information.
  Throws
    `RemoteException`

### expressionSearchSKURestricted

    public String expressionSearchSKURestricted(String expression,
                                                int numResults)
                                         throws RemoteException

  Deprecated
  Returns product item information populated with category and ancestor information for a SKU search expression for the first `numResults` results.

  Parameters
    `expression` - SKU Search expression.
    `numResults` - number of results to be returned.
  Returns
    XML string of all information.
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.